Bug 148882 - CAN-2005-0446 Squid DoS from bad DNS response
Summary: CAN-2005-0446 Squid DoS from bad DNS response
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard: impact=moderate,public=20050213
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-16 15:58 UTC by Josh Bressers
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-03 15:26:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:173 normal SHIPPED_LIVE Moderate: squid security update 2005-03-03 05:00:00 UTC
Red Hat Product Errata RHSA-2005:201 normal SHIPPED_LIVE Moderate: squid security update 2005-03-16 05:00:00 UTC

Description Josh Bressers 2005-02-16 15:58:56 UTC
Squid 2.5.STABLE8 and earlier allows remote attackers to cause a denial of
service (crash) via certain DNS responses regarding (1) Fully Qualified Domain
Names (FQDN) in fqdncache.c or (2) IP addresses in ipcache.c, which trigger an
assertion failure.

http://secunia.com/advisories/14271
http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE8-dns_assert

Comment 1 Josh Bressers 2005-02-16 16:02:41 UTC
This issue should also affect RHEL2.1 and RHEL3.

Comment 3 Josh Bressers 2005-03-03 15:26:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-173.html


Comment 4 Mark J. Cox 2005-03-16 14:58:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-201.html



Note You need to log in before you can comment on or make changes to this bug.